<!DOCTYPE html>
<html lang="fr">
<head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="style.css?version=COMMITHASH" rel="stylesheet" type="text/css">
<link rel="icon" href="images/favicon.ico" sizes="any" />
<title>Timer</title>
</head>
<body>
{% include 'templates/widget_back_menu.html' %}


    <img src="images/minutes.svg" id="minutes" class="milieu">


 

    <svg id="cercle-secondes" viewBox="0 0 100 100">
        <path id="myCircleSecondes" fill="#48fa60"/>
    </svg>
    
    
    

    <img src="images/graduations.svg" id="cercle" class="milieu">

    <svg id="horloge" viewBox="0 0 100 100">
        <path id="myCircle" fill="blue"/>
    </svg>  

    <div id="zone-affichage">
        <button id="bouton-a-propos" onclick="aPropos()"></button>
        <button id="bouton-options" onclick="options()"></button>
        <img id="logo" src="images/logo.svg">
        <img id="poignee" src="images/poignee.svg">

        <div id="zone-compteur">
            <button id="start" onclick="commencer()"></button>
            <button id="stop" onclick="arreter()"></button>
            <br>
            <button id="bouton-moins" class="bouton-compteur" onmousedown="boutonEnfonce(-1)" onmouseup="boutonRelache()" onmouseleave="boutonRelache()">-</button>
            <div id="compteur">
                <span contenteditable="true" id="compteur-minutes" class="sous-compteur"></span>:<span id="compteur-secondes" class="sous-compteur"></span></span>
            </div>
            <button id="bouton-plus" class="bouton-compteur" onmousedown="boutonEnfonce(1)"  onmouseup="boutonRelache()" onmouseleave="boutonRelache()">+</button>
            <br>
            <input type="color" id="bouton-couleur" oninput="changeCouleur(this.value)">
            <button id="bouton-sons" class="bouton-sons" onclick="sons()"></button>
        </div>

    </div>

   
    <div id="sons" class="hide">
        <button class="bouton-son" id="bouton-a"></button>
        <button class="bouton-son" id="bouton-b"></button>
        <button class="bouton-son" id="bouton-c"></button>
        <button class="bouton-son" id="bouton-d"></button>
        <button class="bouton-son" id="bouton-e"></button>
        <button class="bouton-son" id="bouton-f"></button>
    </div>


    <div id="compteur-bis" class="hide">
        <span id="compteur-minutes-bis" class="sous-compteur"></span>:<span id="compteur-secondes-bis" class="sous-compteur"></span></span>
    </div>


    <div id="div-a-propos" class="lightbox hide">
        <p>Tuxtimer est un compte à rebours réglable de 0 à 60 minutes. Pour l'utiliser, choisir la durée au moyen des boutons +/- ou en écrivant le nombre de minutes au clavier.</p>
        <p>Une fois lancé, vous pouvez suspendre l'écoulement du compte à rebours au moyen du bouton "pause".</p>
        <p>Il est possible de personnaliser la couleur ainsi que le son de notification.</p>
        <p>Les graphismes utilisés pour les graduations et les chiffres proviennent de <a target="_blank" href="https://thierrym.forge.aeif.fr/horloge-ecole/">l'horloge interactive de Thierry Munoz</a>, sous licence libre GPL 3.0.</p>
        <p>Les images des boutons proviennent de <a target="_blank" href="https://www.svgrepo.com/">https://www.svgrepo.com/</a> et sont sous licence "Public Domain".</p>
        <p>Les notifications sonores, de Joseph Sardin, sont sous licence Creative Commons 0 et ont été récupérées depuis <a target="_blank" href="https://lasonotheque.org/">https://lasonotheque.org/</a>.</p>
        <p>La police de caractères utilisée pour l'affichage du compteur est Teleindicadore, sous Public Licence.</p>
        <p><strong>Tuxtimer</strong> est une application libre et gratuite créée par <a target="_blank" href="https://achampollion.forge.aeif.fr/">Arnaud Champollion</a>.</p>
        <p>Le code source est déposé sur <a target="_blank" href="https://forge.aeif.fr/achampollion/tuxtimer">https://forge.aeif.fr/achampollion/tuxtimer</a>.</p>
    </div>
    
    <div id="div-options" class="lightbox hide">
        <h2>Sens de rotation</h2>
        <button class="bouton-horaire" id="sens-anti-horaire" onclick="sens('anti-horaire')"></button>
        <button class="bouton-horaire" id="sens-horaire" onclick="sens('horaire')"></button>
        <h2>Compteur digital</h2>
        <input type="checkbox" id="bouton-compteur-toujours-visible" check=false onchange="visibiliteCompteur(this.checked)">Toujours afficher
    </div>  
<script src="script.js?version=COMMITHASH"></script>
{% include 'templates/global.js.html' %}
</body>
</html>
